Bug 6797 - citation_pdf_url should link directly to PDF file
citation_pdf_url should link directly to PDF file
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Framework
2.3.x
All All
: P3 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-29 15:11 PDT by James MacGregor
Modified: 2011-11-23 15:40 PST (History)
0 users

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against OCS 2.3.3-1 (942 bytes, patch)
2011-09-07 11:33 PDT, James MacGregor
Details | Diff
Patch against OJS 2.3.6 (904 bytes, patch)
2011-11-23 15:37 PST, James MacGregor
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James MacGregor 2011-07-29 15:11:29 PDT
Currently, the citation_pdf_url URL is the link to the PDF display page (eg. http://www.globalhealthaction.net/index.php/gha/article/view/5724/7941). It should point directly to the PDF itself (eg. http://www.globalhealthaction.net/index.php/gha/article/download/5724/7941), as "the
intent of citation_pdf_url is to associate the metadata in the
metatags with the PDF file".

(Courtesy of Anurag)
Comment 1 James MacGregor 2011-09-07 11:33:56 PDT
Created attachment 3632 [details]
Patch against OCS 2.3.3-1
Comment 2 James MacGregor 2011-09-07 11:35:02 PDT
citation_pdf_url should link directly to PDF file
https://github.com/pkp/ocs/commit/e413fc2abd9ef1bda7c6b03f8e29fa4e8f55cd63
Comment 3 James MacGregor 2011-09-07 11:36:14 PDT
Committed against OCS stable and master. Still needs to be committed to OJS.
Comment 4 James MacGregor 2011-09-07 11:40:02 PDT
citation_pdf_url should link directly to PDF file
https://github.com/pkp/ocs/commit/71904c744af5f130825a22db89b39b1414e00b4e
Comment 5 James MacGregor 2011-11-23 15:35:01 PST
citation_pdf_url should link directly to PDF file
https://github.com/pkp/ojs/commit/f89839113848c5625bbe426340235f27520b9c83
Comment 6 James MacGregor 2011-11-23 15:37:29 PST
Created attachment 3679 [details]
Patch against OJS 2.3.6
Comment 7 James MacGregor 2011-11-23 15:37:57 PST
Committed against OJS stable and master. Closing.
Comment 8 James MacGregor 2011-11-23 15:40:02 PST
citation_pdf_url should link directly to PDF file
https://github.com/pkp/ojs/commit/a17d354567af0daaa6330d00c57837c7ce990e55